/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* --- TYPOGRAPHY --- */
@font-face {
  font-family: "Source Sans Pro";
  src: url("/static/fonts/SourceSansPro-Regular.ttf");
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: "Source Sans Pro SB";
  src: url("/static/fonts/SourceSansPro-SemiBold.ttf");
  font-weight: 600;
  font-display: swap;
}

:root {
  --ifm-color-primary: #3d597a;
  --ifm-color-primary-dark: #003d85;
  --ifm-color-primary-darker: #003a7e;
  --ifm-color-primary-darkest: #003068;
  --ifm-color-primary-light: #004ba3;
  --ifm-color-primary-lighter: #004eaa;
  --ifm-color-primary-lightest: #0058c0;
  --ifm-navbar-height: 155px;
  --ifm-navbar-link-color: #1d0d34;
  --ifm-hero-background-color: #1d0d34;
  --ifm-footer-background-color: #f9f9f9;

  /*
    The OOTS Hub Confluence site has 1140 fixed with header/main/footer width of 1140 with no margin.
    To mimick this in a more consistent way throughout this site and not enforce the need for additional margin-clearing classes
    The value contains the margin in itself to be used as-is with .container
  */
  --ifm-container-width-xl: 1170px;

  /* Custom font: add "Source Sans Pro" */
  --ifm-font-family-base: "Source Sans Pro", system-ui, -apple-system, segoe ui,
    roboto, ubuntu, cantarell, noto sans, sans-serif, blinkmacsystemfont,
    "Segoe UI", helvetica, arial, sans-serif, "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol";
  --ifm-font-family-bold: "Source Sans Pro SB", var(--ifm-heading-font-family);
  --ifm-font-family-monospace: sfmono-regular, menlo, monaco, consolas,
    "Liberation Mono", "Courier New", monospace;

  /* Links */
  --ifm-link-color: var(--ifm-color-primary);
  --ifm-link-decoration: underline;
  --ifm-link-hover-color: var(--ifm-link-color);
  --ifm-link-hover-decoration: none;
  --ifm-toc-link-color: #3d597a;

  /* Font colors */
  --ifm-font-color-base: #3d597a;
  --ifm-heading-color: #001832;

  /* Sidebar */
  --ifm-toc-border-color: #ebebeb;
  --ifm-menu-color: var(--ifm-color-text);
  --ifm-menu-color-background-active: #bfd0e4;

  /* Navbar */
  --ifm-navbar-sidebar-width: 100vw;
  --ifm-navbar-background-color: #342548;

  /* Search Input Icon */
  --ifm-navbar-search-input-icon: url('data:image/svg+xml;utf8,<svg fill="black" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16" height="16px" width="16px"><path d="M6.02945,10.20327a4.17382,4.17382,0,1,1,4.17382-4.17382A4.15609,4.15609,0,0,1,6.02945,10.20327Zm9.69195,4.2199L10.8989,9.59979A5.88021,5.88021,0,0,0,12.058,6.02856,6.00467,6.00467,0,1,0,9.59979,10.8989l4.82338,4.82338a.89729.89729,0,0,0,1.29912,0,.89749.89749,0,0,0-.00087-1.29909Z" /></svg>');
}

/*
#__docusaurus {
  overflow: hidden !important;
}
*/

html {
  -webkit-font-smoothing: initial;
}

strong {
  font-family: var(--ifm-font-family-bold);
}

/* Paragraphs */

p {
  margin: 0 0 var(--ifm-paragraph-margin-bottom);
  color: #3d597a;
}

.navbar {
  padding: 0;
  box-shadow: none;
  height: auto;

  /* max-height: 72px; */
}

.navbar__inner {
  padding: 0 !important;
}

@media screen and (width >= 1360px) {
  :root {
    --ifm-navbar-height: 171px;
  }
}

/* Un-stick navbar */
.navbar--fixed-top {
  position: relative;
}

.navbar__search-input {
  /*
    Same height as "Contact as"
    - vertical padding: 2*0.75rem
    - height: 1.2 (line-height) * 1.0625rem (font-size)
    - border: 2px (1px top, 1px bottom -> 2px)
    -> 2 * 0.75rem + 1.2 * 1.0625rem + 2px
  */
  height: calc(2.775rem + 2px);
  padding: 1rem 5rem 1rem 1rem !important;
  width: 20rem !important;
  background: var(--ifm-navbar-search-input-icon) no-repeat 18rem #fff;
  border-radius: 6px;
}

.navbar__search-input::placeholder {
  color: #a59eae;
}

.navbar__search-input:focus-visible {
  outline: 1px solid #842db5;
  outline-offset: -1px;
}

kbd {
  display: none;
}

.menu__link {
  border-radius: 0.5rem;
  color: #fff;
  font-size: 0.9375rem;
  font-weight: 400;
  text-decoration: none;
}

.menu__link:hover {
  background-color: #776e85;
  color: #fff;
  font-weight: bold;
}

.menu__link--active:not(.menu__link--sublist) {
  background-color: #776e85;
  color: #fff;
  font-weight: bold;
}

.navbar-sidebar {
  background-color: #00284a;
}

@media (width <= 997px) {
  .navbar-sidebar,
  .navbar-sidebar__items,
  .menu {
    max-width: 100% !important;
  }

  .menu__link {
    padding: 0.75rem 1rem;
  }

  .menu__list-item > .menu__list {
    padding-right: var(--ifm-menu-link-padding-horizontal);
  }

  .navbar-sidebar__items {
    padding-bottom: 1.5rem;
  }
}

@media (width >= 997px) {
  .menu {
    padding: 1rem 0 !important;
  }

  .menu__link {
    color: unset;
    font-weight: normal;
  }

  .menu__link:hover {
    background: var(--ifm-menu-color-background-hover);
    color: var(--ifm-menu-color);
    font-weight: normal;
  }

  .menu__link--active:not(.menu__link--sublist) {
    background-color: transparent;
    color: unset;
    font-weight: normal;
    text-decoration: underline;
  }
}

.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}

.docusaurus-highlight-code-line {
  background-color: rgb(0 0 0 / 10%);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

html[data-theme="dark"] .docusaurus-highlight-code-line {
  background-color: rgb(0 0 0 / 30%);
}

.pagination-nav {
  display: flex;
  justify-content: space-between;
}

.pagination-nav__sublabel {
  display: none;
}

.pagination-nav__link {
  text-decoration: none;
  grid-column: none;
  color: #3d597a;
  border: 1px solid #3d597a;
  border-radius: 6px;
  padding: 12px 16px;
  font-weight: bold;
  line-height: 16px;
}

.pagination-nav__link:hover {
  text-decoration: underline;
  background: #e3e6eb;
  border-color: #b7c2cf;
}

.pagination-nav__link:focus {
  outline: 2px dashed #1d0d34 !important;
  outline-offset: 2px;
}

.pagination-nav__link--next .pagination-nav__label::after {
  content: "";
  margin-left: 15px;
  width: 15px;
  height: 15px;
  background: url("/static/img/ico-button-arrow-right.svg") left no-repeat;
  background-size: 15px;
  padding-right: 15px;
}

.pagination-nav__link--prev .pagination-nav__label::before {
  content: "";
  margin-right: 15px;
  width: 15px;
  height: 15px;
  background: url("/static/img/ico-button-arrow-left.svg") left no-repeat;
  transform: rotate(30deg);
  background-size: 15px;
  padding-left: 15px;
}

.theme-doc-sidebar-container {
  background-color: #fafafb;
  border-right: none !important;
}

.theme-doc-sidebar-container nav.menu {
  color: #fff;
  background-color: #00284a;
  margin: 4.5rem 0;
  border-top-right-radius: 40px;
  border-bottom-right-radius: 40px;
  padding-left: 3rem !important;
  padding-top: 2.5rem !important;
}

.navbar-sidebar__back {
  background: none;
  color: #fff;
}

.navbar-sidebar--show {
  z-index: 202;
}

.navbar__search > button {
  display: none;
}

.error-text {
  color: #da2131;
}

.vr {
  display: block;
  align-self: stretch;
  width: 1px;
  height: 100%;
  background-color: #ebebeb;
}

.flex {
  display: flex;
}

.unstyled-list {
  list-style: none;
}

.menu__list-item-collapsible {
  font-weight: 700;
  font-family: var(--ifm-font-family-bold);
  margin-top: 0.25rem;
}

.menu__list-item-collapsible a.menu__link {
  font-size: 18px;
}

.theme-doc-sidebar-item-link-level-2 a.menu__link {
  font-size: 16px;
  color: #fff;
  opacity: 0.7;
}

/* Fix docs sidebar scrolling */
.main-wrapper > div > aside {
  margin-top: 0;
}

.main-wrapper > div > aside > div {
  padding-top: 0;
}

.card {
  text-decoration: none;
}

.card:hover {
  text-decoration: underline;
}

.main-wrapper {
  background-color: #fafafb;
}

/* OOTS-specific preferences */

details {
  border: none !important;
  box-shadow: none !important;
  background-color: #f9f5fb !important;
}

details > summary {
  color: #842db5 !important;
}

code {
  color: #3d597a;
  background-color: #f9f5fb;
  padding: 5px;
  border: none;
}

pre code {
  background-color: #f9f5fb;
}

pre code .token-line {
  color: #842db5 !important;
}

table thead tr {
  background-color: #00284a;
  color: #fff;
  text-align: left;
}

table tr {
  background-color: #f2e5f7;
}

table tr:nth-child(2n) {
  background-color: #ddbfeb;
}

.menu-item-title {
  font-weight: bold;
  color: #3d597a;
  margin-bottom: 8px;
}

.menu-item-caption {
  color: #5e748e;
}
